Page MenuHomePhabricator

role::wikimetrics should compile into a catalogue without dependency cycles
Closed, ResolvedPublic

Description

5) role::wikimetrics should compile into a catalogue without dependency cycles
   Failure/Error: it { is_expected.to compile }

     error during compilation: Evaluation Error: Error while evaluating a Function Call, Failed to parse template wikimetrics/web_config.yaml.erb:
       Filepath: /Users/bd808/projects/wmf/vagrant-disposable/puppet/modules/wikimetrics/templates/web_config.yaml.erb
       Line: 13
       Detail: no implicit conversion of Fixnum into String
      at /Users/bd808/projects/wmf/vagrant-disposable/puppet/modules/wikimetrics/manifests/init.pp:238:20 on node wmf-bd808-mbp01.local
   # ./puppet/spec/integration/roles_spec.rb:20:in `block (3 levels) in <top (required)>'

Event Timeline

bd808 created this task.Jan 4 2018, 5:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2018, 5:00 AM
bd808 added a comment.Jan 5 2018, 6:17 AM

This module has a lot more problems on Stretch:

$ git grep -l upstart
manifests/init.pp
manifests/queue.pp
manifests/scheduler.pp
manifests/web/daemon.pp
templates/upstart.wikimetrics.conf.erb

The module used in production seems to be completely different now. It is not using a submodule any longer (rOPUPf79b15599407: Remove submodule wikimetrics).

bd808 triaged this task as Low priority.Jan 5 2018, 6:30 AM

This must be unused on the current master (jessie) branch as well. Should we just drop the role until someone wants to come back and fix it all up again?

Restricted Application added a project: Analytics. · View Herald TranscriptJan 6 2018, 11:55 PM

Change 402606 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] wikimetrics: remove role

https://gerrit.wikimedia.org/r/402606

fdans moved this task from Incoming to Radar on the Analytics board.Jan 8 2018, 4:42 PM

Change 402606 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] wikimetrics: remove role

https://gerrit.wikimedia.org/r/402606

bd808 closed this task as Resolved.Jan 8 2018, 6:49 PM
bd808 claimed this task.

"Fixed" by dropping the role. It would be awesome to have this come back if and when folks are actually using it for development and testing.